require 'jasper_core'
require 'jasper/sample/engine'

module Jasper
  module Sample

    def self.load_sample(file_name)
      # If file exists within application it takes precedence.
      if File.exists?(File.join(Rails.root, 'db', 'samples', "#{file_name}.rb"))
        path = File.expand_path(File.join(Rails.root, 'db', 'samples', "#{file_name}.rb"))
      else
        # Otherwise we will use this gems default file.
        path = File.expand_path(samples_path + "#{file_name}.rb")
      end

      # Check to see if the specified file has been loaded before
      unless $LOADED_FEATURES.include?(path)
        require path
        puts "Loaded #{file_name.titleize} samples"
      end
    end

  private

    def self.samples_path
      Pathname.new(File.join(File.dirname(__FILE__), '..', '..', 'db', 'samples'))
    end

  end
end
